Enable the revisionslider on test.wikidata.org
Closed, ResolvedPublic

Description

Envisioned date: Monday, September 5th 2016

Since wikidata diffs look a bit different to normal diffs, the revision slider should be enabled on test.wikidata.org to check anomalies before it becomes a beta feature there.

Background:
The revision slider is a feature that adds a visualization of all revisions to the compare screen. Revisions are represented as bars on a line and can be selected using two pointers. The revision slider was originally prototyped by the WMF Community Tech team and then handed over to the WMDE TCB team, as it is also a solution to fulfill a wish of the German Community Wishlist: https://de.wikipedia.org/wiki/Wikipedia:Umfragen/Technische_W%C3%BCnsche_2015/Artikel#Anzeige_aller_Bearbeitungskommentare_im_Diff

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 2 2016, 4:38 PM
Addshore moved this task from Backlog to Next on the User-Addshore board.
Addshore updated the task description. (Show Details)

Change 308517 had a related patch set uploaded (by Addshore):
Enable the revisionslider on test.wikidata.org

https://gerrit.wikimedia.org/r/308517

Addshore claimed this task.
Addshore moved this task from Incoming to Revision Slider on the TCB-Team board.Sep 5 2016, 8:14 AM

Change 308517 merged by jenkins-bot:
Enable the revisionslider on test.wikidata.org

https://gerrit.wikimedia.org/r/308517

Addshore moved this task from Review to Done on the TCB-Team-Sprint-2016-08-29 board.
Addshore closed this task as Resolved.

@Lea_Lacroix_WMDE @Glorian_Yapinus: Please test on test.wikidata.org and let @Lea_WMDE and me know if there is anything broken. Thanks!

@Lydia_Pintscher & @Lea_WMDE : I have tested this feature and everything seems fine (refer to the attached screenshot)..

Note: this is now deployed on wikidatawiki too

Addshore moved this task from Incoming to Done on the Revision-Slider board.Sep 13 2016, 2:51 PM